7

When I go back to youtube, I keep getting the "Adobe Flash Player is required to display some elements on this page" Install plug-in button.

I click on the Problems installing link and a message says, “Adobe Flash Player is already installed, but disabled. Click here for more information.”

I click on the link and I am taken to Flash Player Help / Flash Player with Google Chrome page. I’ve tried all of the steps listed on the page, but none of them work.

I got to chrome://plugins and Flash isn’t even listed.

Any ideas?

| improve this question | | | | |
  • Chromium is not Chrome. Chrome has Flash built-in, Chromium needs it downloading & keeping up to date. – Tetsujin Feb 19 '15 at 19:16
  • @Tetsujin I got Flash installed and Adobe's web site says that it's installed. I just can't get it to be enabled. It's not even showing up in my plugins list. – Kent Allard Feb 19 '15 at 19:26
4

If you use Chromium make sure you have the PPAPI version of Flash Player installed.

There are two Versions:

  • NPAPI (Firefox)
  • PPAPI (Opera, Chromium)

Both versions can be found on the adobe download page: https://get.adobe.com/flashplayer/

| improve this answer | | | | |
  • 3
    This answer solved my problem. Apparently the adobe page gives you the wrong download by default.. I had to click "Need flash player for a different computer?" and pick "Chrome/Opera PPAPI". – Seth Jul 30 '15 at 3:01
4

The "Adobe Flash Player is already installed, but disabled. Click here for more information.”-message appears to all Chromium-based browsers, ie Chrome, Opera but also Chromium, although it is actually mostly targeted for Chrome which has flash inbuilt.

But you can just click on "Need Flash Player for a different computer?" and select "FP18 for Opera ans Chromium - PPAPI" as Browser. Install Flash and append a flag to the shortcut launching Chromium:

for 32-bit Chromium

--ppapi-flash-path="C:\Windows\SysWOW64\Macromed\Flash\pepflashplayer32_VE_R_S_ION.dll" --ppapi-flash-version="VE.R.S.ION"

for 64-bit Chromium:

--ppapi-flash-path="C:\Windows\System32\Macromed\Flash\pepflashplayer64_VE_R_S_ION.dll" --ppapi-flash-version="VE.R.S.ION"

Get the version from the manifest.json in the same path.

Source, Chromium downloads and further reading: chromium.woolyss.com

| improve this answer | | | | |
1

I had the same problem and I managed to get it working by starting chromium with these switches:

chrome.exe --ppapi-flash-path="c:\Windows\SysWOW64\Macromed\Flash\pepflashplayer32_17_0_0_134.dll" --ppapi-flash-version="17.0.0.134"

This page helped me: http://chromium.woolyss.com/#flash

| improve this answer | | | | |

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.